import { Meta } from '@cubejs-client/core';
import { PlaygroundEvent } from './types';
export type MemberTypeMap = Record<string, 'time' | 'number' | 'string'>;
export declare function metaToTypes(meta: Meta): MemberTypeMap;
export declare function unCapitalize(name: string): string;
export declare function uniqArray<T = any>(array: T[]): T[];
export declare function codeSandboxDefinition(template: any, files: any, dependencies?: Array<string | [string, string]>): {
    files: any;
    template: any;
};
export declare function dispatchPlaygroundEvent(document: Document | null, eventType: PlaygroundEvent, detail?: Record<string, unknown>): void;
type FetchPollCallbackArgs = {
    response: Response;
    retries: number;
    cancel: () => void;
};
export declare function fetchPoll(url: string, timeout: number, callback: (args: FetchPollCallbackArgs) => void, fetchOptions?: RequestInit): {
    cancel: () => void;
    retries: number;
};
export declare function fetchWithTimeout(url: string, options: RequestInit, timeout: number): Promise<Response>;
export declare function copyToClipboard(value: any, message?: string): Promise<void>;
export declare function formatNumber(num: number): string;
export declare function prettifyObject(value: Object): any;
export declare function containsPrivateFields(queryMembers: string[], meta: any): boolean;
export {};
